gtkunixprint.PageSetupUnixDialog
Prev | The gtkunixprint Class Reference | Next

## gtkunixprint.PageSetupUnixDialog

gtkunixprint.PageSetupUnixDialog — a dialog for setting up a printer page on Unix (new in PyGTK 2.10)

## Synopsis

    class gtkunixprint.PageSetupUnixDialog(gtk.Dialog):
        gtkunixprint.PageSetupUnixDialog(title=None, parent=None)
        def set_page_setup(page_setup)
        def get_page_setup()
        def set_print_settings(print_settings)
        def get_print_settings()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Window
                +-- gtk.Dialog
                  +-- gtkunixprint.PageSetupUnixDialog

## Implemented Interfaces

`gtk.PageSetupUnixDialog` implements `gtk.Buildable`

## gtkunixprint.PageSetupUnixDialog Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Window Properties

gtk.Dialog Properties

## gtkunixprint.PageSetupUnixDialog Style Properties

gtk.Widget Style Properties

gtk.Dialog Style Properties

## gtkunixprint.PageSetupUnixDialog Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Window Signal Prototypes

gtk.Dialog Signal Prototypes

## Description

### Note

This class is available for Unix systems in PyGTK 2.10 and above.

The `gtkunixprint.PageSetupUnixDialog` object implements a page setup dialog for platforms, like Unix, that don't provide a native page setup dialog. It can be used very much like any other PyGTK dialog, at the cost of the portability offered by the high-level printing API.

## Constructor

### gtkunixprint.PageSetupUnixDialog

        gtkunixprint.PageSetupUnixDialog(title=None, parent=None)

`title` : | the title of the dialog, or `None`
`parent` : | the transient parent of the dialog, or `None`
Returns : | the new `gtkunixprint.PageSetupUnixDialog`

### Note

This constructor is available in PyGTK 2.10 and above.

Creates a new page setup dialog with the optional title specified by `title` and optionally using the `gtk.Window` specified by `parent`.

## Methods

### gtkunixprint.PageSetupUnixDialog.set_page_setup

        def set_page_setup(page_setup)

`page_setup` : | a `gtk.PageSetup`

### Note

This method is available in PyGTK 2.10 and above.

The `set_page_setup`() method uses the `gtk.PageSetup` specified by `page_setup` to set the page setup values for the dialog.

### gtkunixprint.PageSetupUnixDialog.get_page_setup

        def get_page_setup()

Returns : | the current page setup

### Note

This method is available in PyGTK 2.10 and above.

The `get_page_setup`() method returns the current page setup values from the dialog as a `gtk.PageSetup`.

### gtkunixprint.PageSetupUnixDialog.set_print_settings

        def set_print_settings(print_settings)

`print_settings` : | a `gtk.PrintSettings`

### Note

This method is available in PyGTK 2.10 and above.

The `set_print_settings`() method installs the `gtk.PrintSettings` specified by print_settings as the print settings for the dialog.

### gtkunixprint.PageSetupUnixDialog.get_print_settings

        def get_print_settings()

Returns : | the current print settings

### Note

This method is available in PyGTK 2.10 and above.

The `get_print_settings`() method returns the current print settings from the dialog.

Prev | Up | Next
The gtkunixprint Class Reference | Home | gtkunixprint.Printer